﻿using Microsoft.Data.SqlClient;

namespace Drive.Common.Data
{
    public static class ConnectionStringEnricher
    {
        public static string Enrich(string connectionString, string applicationName)
        {
            SqlConnectionStringBuilder builder = new(connectionString)
            {
                ApplicationName = applicationName,
            };
            return builder.ToString();
        }
    }
}
