﻿using Dapper;

namespace Drive.Common.Data
{
    public class SystemUserProvider(ISqlStorage storage)
    {
        private readonly ISqlStorage _storage = storage;

        public CachedIdentity Get()
        {
            int systemUserId = _storage.Connection
                .QuerySingleOrDefault<int>("SELECT TOP 1 HelperUser FROM AdvertisingManager", transaction: _storage.Transaction);
            return new CachedIdentity { SystemUserId = systemUserId };
        }
    }
}
