﻿using System.Data.Common;
using Drive.Common.Data;
using NServiceBus.Persistence.Sql;

namespace Drive.Common.Messaging
{
    public class DriveSqlStorage(ISqlStorageSession session)
        :
        ISqlStorage
    {
        private readonly ISqlStorageSession _session = session;

        public DbConnection Connection => _session.Connection;

        public DbTransaction Transaction => _session.Transaction;
    }
}
