﻿using Microsoft.EntityFrameworkCore;
using Microsoft.EntityFrameworkCore.Metadata.Builders;

namespace Drive.Common.IntegrationTest.IntegrationDatabaseTest
{
    public class OtherSchemaModelMapping
        : IEntityTypeConfiguration<OtherSchemaModel>
    {
        public void Configure(EntityTypeBuilder<OtherSchemaModel> builder)
        {
            builder.ToTable("Other", "different");
            builder.HasKey(x => x.Id);
            builder
                .Property(x => x.Id)
                .HasDefaultValueSql("NEXT VALUE FOR OtherSchemaModelIdSequence")
                .IsRequired();

            builder.Property(x => x.Code);
            builder.Property(x => x.Description);
            builder.Property(x => x.Active);
        }
    }
}