﻿using System.Data.Common;

namespace Drive.Common.Data
{
    public interface ISqlStorage
    {
        DbConnection Connection { get; }
        DbTransaction Transaction { get; }
    }

    public class DriveSqlStorage(
        DbConnection _connection,
        DbTransaction _transaction)
        :
        ISqlStorage
    {
        public DbConnection Connection => _connection;

        public DbTransaction Transaction => _transaction;
    }
}
