﻿using Drive.Common.Data;
using Drive.Common.Query;

namespace Drive.Common.IntegrationTest.QueryHandlers
{
    public class SessionQueryHandler :
        IQueryHandler<SessionQueryResult>,
        IQueryHandler<string, SessionQueryResult>
    {
        private readonly DriveDbContext _dbContext;

        public SessionQueryHandler(DriveDbContext dbContext)
        {
            _dbContext = dbContext;
        }

        public SessionQueryResult Retrieve()
        {
            return new SessionQueryResult { Count = 100 };
        }

        public SessionQueryResult Retrieve(string query)
        {
            return new SessionQueryResult { Count = 200 };
        }
    }
}
